summaryrefslogtreecommitdiffstats
path: root/network/dante/dante.SlackBuild
diff options
context:
space:
mode:
author B. Watson2018-07-01 11:11:05 +0200
committer Willy Sudiarto Raharjo2018-07-07 01:54:13 +0200
commitf95f88780b1c0a8819d2add3593d712e0e3ef8cb (patch)
tree7a3b3789e78c27598ea7033a6d366d598aadbf2b /network/dante/dante.SlackBuild
parent9e112ca8420281039fc4a1557783d42614357549 (diff)
downloadslackbuilds-f95f88780b1c0a8819d2add3593d712e0e3ef8cb.tar.gz
network/dante: Added (a free SOCKS client and server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/dante/dante.SlackBuild')
-rw-r--r--network/dante/dante.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/network/dante/dante.SlackBuild b/network/dante/dante.SlackBuild
new file mode 100644
index 0000000000..2f28c512b2
--- /dev/null
+++ b/network/dante/dante.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for dante
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# TODO: init script? Only if someone asks for it...
+
+PRGNAM=dante
+VERSION=${VERSION:-1.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man?/*.?
+
+# Shared libs are installed with wrong permissions:
+chmod 755 $PKG/usr/lib$LIBDIRSUFFIX/libdsocks.so \
+ $PKG/usr/lib$LIBDIRSUFFIX/libsocks.so.*.*.*
+
+# 15.0 won't allow .la files. This is a new build for 14.2, so no
+# point leaving them in. If we were upgrading from an older version,
+# the missing .la files might break libraries built after dante's .la
+# files were installed, so we couldn't do this.
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.la
+
+# Lots of doc files, I like it!
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR/example $DOCDIR/doc
+cp -a README* BUGS CREDITS LICENSE NEWS SUPPORT UPGRADE $DOCDIR
+cp -a example/*.conf $DOCDIR/example
+cp -a doc/README* doc/*.txt $DOCDIR/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Lots of Slack-specific notes here, include in the docdir.
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+
+# Not going to install actual socks.conf and sockd.conf in /etc,
+# but at least symlink the examples where they can be found easily.
+mkdir -p $PKG/etc
+ln -s ../usr/doc/$PRGNAM-$VERSION/socks.conf $PKG/etc/socks.conf.example
+ln -s ../usr/doc/$PRGNAM-$VERSION/sockd.conf $PKG/etc/sockd.conf.example
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}